Module java.corba
Package org.omg.CORBA

## Class Environment

- java.lang.Object
- - org.omg.CORBA.Environment

    public abstract class Environment
    extends Object

A container (holder) for an exception that is used in `Request` operations to make exceptions available to the client. An `Environment` object is created with the `ORB` method `create_environment`.

Since:
  JDK1.2

### Constructor Summary

Constructors
Constructor and Description
`Environment()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract void` `clear()` Clears this `Environment` object of its exception.
`abstract Exception` `exception()` Retrieves the exception in this `Environment` object.
`abstract void` `exception(Exception except)` Inserts the given exception into this `Environment` object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Environment

    public Environment()

### Method Detail

#### exception

    public abstract Exception exception()

Retrieves the exception in this `Environment` object.

Returns:
  the exception in this `Environment` object

#### exception

    public abstract void exception(Exception except)

Inserts the given exception into this `Environment` object.

Parameters:
  `except` - the exception to be set

#### clear

    public abstract void clear()

Clears this `Environment` object of its exception.